package org.wfc.omada.api.maintenance.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.Valid;
import javax.validation.constraints.NotNull;
import java.util.ArrayList;
import java.util.List;
import java.util.Objects;

/**
 * BatchSiteBackupVo
 */
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:40:12.680+08:00[Asia/Shanghai]")

public class BatchSiteBackupVo   {
  @JsonProperty("siteIds")
  @Valid
  private List<String> siteIds = new ArrayList<>();

  public BatchSiteBackupVo siteIds(List<String> siteIds) {
    this.siteIds = siteIds;
    return this;
  }

  public BatchSiteBackupVo addSiteIdsItem(String siteIdsItem) {
    this.siteIds.add(siteIdsItem);
    return this;
  }

  /**
   * Site ID list to backup, at least one site, max 300 sites.
   * @return siteIds
  */
  @ApiModelProperty(required = true, value = "Site ID list to backup, at least one site, max 300 sites.")
  @NotNull


  public List<String> getSiteIds() {
    return siteIds;
  }

  public void setSiteIds(List<String> siteIds) {
    this.siteIds = siteIds;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    BatchSiteBackupVo batchSiteBackupVo = (BatchSiteBackupVo) o;
    return Objects.equals(this.siteIds, batchSiteBackupVo.siteIds);
  }

  @Override
  public int hashCode() {
    return Objects.hash(siteIds);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class BatchSiteBackupVo {\n");
    
    sb.append("    siteIds: ").append(toIndentedString(siteIds)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

